//here we use an array to hold the ages of everyone in the class.
// the ages are whole numbers, so this is an array of ints. 
//we declare the array by saying the type of data it will store,
//that it is an array, and its name. 
//then we fill it with data. 
int [] myAges;
int xpos; //variable to hold the x position of the ellipses
int fillval;//value for the fill

void setup()
{
  //we have data in a file called ages.txt. it's set up to be one value
  //per line only. it's in the data folder, inside our main sketch folder
  
  //here, we make a new array, this time the data type is STRINGS only
  //and we load it with the data from my file, using this loadStrings()
  //function, which puts each line in as an element in the array
  String [] myStringData = loadStrings("ages.txt");
  
  //now we can initialize our myAges array. we'll set its length to 
  //be the same as the length of myStringData array.
  
  myAges = new int [myStringData.length];
  
  //but our data are strings. boo. we want ints, values we can use.
  //let's use a for loop to change that, and assign values to our myAges array. 
  
  for(int i= 0; i<myAges.length; i++)
  {
    //here, the function parseInt transforms our strings into ints
    //at the same time, we assign them to our array
    myAges[i] = parseInt(myStringData[i]);
  } 
  
  size(1000, 400); //size of screen
  background(0); //background is black
  noStroke();//turn off the stroke on the shapes
  xpos= 50;//set the starting point to draw the ellipse
  fillval = 10;
}

void draw()
{
  //use a for loop to draw an ellipse with a size of the current value in 
  //the array. the array knows its own length, so we can use this variable to 
  //set the end condition for the loop.
  for (int i= 0; i<myAges.length; i++)
  {

    fill(255,fillval,100);//change the fill, using a variable 
    
    //all the ages of the class as ellipses. height and width are the same here
    //using that same value for both. *** Use myAges[i] for your value ***
    ellipse(xpos, 200, myAges[i], myAges[i]);

    //here we update the xpos so we don't draw ellipses on top of each other
    //find the radius of the circle (the width, which is myAges[i]/2) and just add 50 
    //to make some space between our circles. 
    xpos += myAges[i]/2 + 50;
    fillval += 30;
  }
  //reset xpos and fill val for our next trip through the draw loop
  xpos = 50;
  fillval = 10;
}

